/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/

package org.apache.kato.anttasks.tck;

import org.apache.tools.ant.BuildException;

public class Scenario {

	 String scenerio=null;
	 String classname=null;
	
	public void setName(String name) {
		if(classname!=null) throw new BuildException("cannot have name and classname attributes on scenerio tag");
		this.scenerio=name;
	}
	public void setClass(String name) {
		if(scenerio!=null) throw new BuildException("cannot have name and classname attributes on scenerio tag");
		this.classname=name;
	}
}

