/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/package test.apache.kato.common;

import org.apache.kato.common.DataReader;

import junit.framework.TestCase;

public class TestDataReader extends TestCase {

	
	public void testReadInt1() {
		
		byte[] data=new byte[]{0,0,0,0};
		
		assertEquals(0,DataReader.read4Bytes(data));
	}
	
	public void testReadInt2() {
		
		byte[] data=new byte[]{0,0,0,1};
		
		assertEquals(1,DataReader.read4Bytes(data));
	}
	public void testReadInt3() {
		
		byte[] data=new byte[]{0,0,(byte)2,(byte) 0};
		
		assertEquals(512,DataReader.read4Bytes(data));
	}
}
