/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.scenario142.javaruntime;

import org.apache.kato.tck.harness.scenario.ScenarioElement;




public class SetupJavaRuntime_getCompiledMethods extends ScenarioElement  {
	public int jitMe(int value, int cnt) {
		if (cnt ==0 ) {
			return 0;
		}
		if (Math.IEEEremainder(value, 2)== 0)
			return jitMe(value+1, cnt-1);
		else
			return jitMe(value-1,cnt-1);
		
	}
	
	public void configureCompiledMethod() {
		int value = 0;
		value = jitMe(0,3000);
		System.out.println("Value is "+ value);
	}
}
