/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package org.apache.kato.tck.tests.process.image;

import javax.tools.diagnostics.image.CorruptDataException;
import javax.tools.diagnostics.image.DataUnavailable;
import javax.tools.diagnostics.image.Image;
import org.apache.kato.tck.harness.TCKProcessTestcase;



public class TestImageGetSystemSubType extends TCKProcessTestcase{

	/**
	 * @throws CorruptDataException 
	 * @throws DataUnavailable 
	 *
	 */
	public void testGetSystemSubType() throws DataUnavailable, CorruptDataException {

		Image image=getImage();
		String theValue=image.getSystemSubType();
		assertNotNull("System subtype is null",theValue);
	}
}
