/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package javax.tools.diagnostics.vm;

import java.io.IOException;

/**
 * <p>
 * Triggers a dump. The location and type of dump produced is implementation
 * specific but is guided by the DumpDescriptor used to create this handle.
 * 
 */


public interface DumpHandle {

	boolean dump() throws IOException;

}
