/*******************************************************************************
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 ******************************************************************************/
package test.apache.kato.hprof;

import java.io.IOException;

import org.apache.kato.hprof.HProfView;
import org.apache.kato.hprof.java.JavaHeapImpl;

import test.apache.kato.hprof.image.AbstractHProfTestCase;

public class TestJavaHeap extends AbstractHProfTestCase {

	public void testNullConstructor() {
		
		try {
		JavaHeapImpl impl=new JavaHeapImpl(null,0, null);
		fail("expected illegal argument exception");
		}
		catch(IllegalArgumentException iae) {
			;
		}
	}
	public void testBadHeapRecordIDConstructor() throws IOException {
		
		
		HProfView view=getMinimalHProfView();
		
		try {
		JavaHeapImpl impl=new JavaHeapImpl(view,0, null);
		fail("expected illegal argument exception");
		}
		catch(IllegalArgumentException iae) {
			;
		}
	}
}
